#!/bin/bash
REGISTRY=${REGISTRY:-registry.company.local}
for i in $(ls -1 *.tar | cut -d '.' -f 1); do
    docker load -i ${i}.tar
    tag=`docker image inspect -f '{{ index .RepoTags 0 }}' ${i}`
    	docker tag ${i} ${REGISTRY}/${tag}
    	docker image rm ${tag}
    	docker push ${REGISTRY}/${tag}
done
